#include <wchar.h>
#include <string.h>
#include <stdio.h>
#include <stdarg.h>
#include <stdlib.h>
#include <ctype.h>
#include <time.h>
#include "debug.h"

int
sc_debug_printf_x(char *fmt, ...)
{
	int ret;
	va_list ap;
	va_start(ap, fmt);
	ret = vfprintf(stderr, fmt, ap);
	va_end(ap);
	return ret;
}

void
sc_debug_print_info(char *file, const char *fun)
{
	time_t tm = time(NULL);
	char ltime[20];
	strftime(ltime, sizeof(ltime), "%F %T", localtime(&tm));
	fprintf(stderr, "%s [%s] %s: ", ltime, file, fun);
}



char *
sc_fmt_vastr(char *fmt, ...)
{
	va_list ap;
	static char buf[4096];
	va_start(ap, fmt);
	vsnprintf(buf, sizeof(buf), fmt, ap);
	va_end(ap);
	return buf;
}


void
sc_debug(char *file, const char *fun, char *str)
{
	time_t tm = time(NULL);
	char ltime[20];
	strftime(ltime, sizeof(ltime), "%F %T", localtime(&tm));

	fprintf(stderr, "%s [%s] %s: %s\n", ltime, file, fun, str);
}

